View Issue Details

IDProjectCategoryView StatusLast Update
0006963MediaMonkey (current)Main Panelpublic2011-01-11 02:50
Reporterrusty 
PriorityimmediateSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006963: Art Views sometimes fails to show Art (or show single image for multiple video files)
DescriptionThe AA Window for the Video/Music Video Collections often fails to display thumbnails correctly. It seems to be related to:
a) whether files are labelled as coming from a common album. When tracks are tagged as having the same Album/Series, then all of the tracks appear with the same thumbnail in AA view, even though they shouldn't, and even though the Art & Details window shows that the Files actually have _different_ thumbnails.
b) Changing the Type of a video file (e.g. changing it from Video to Music Video) --> when the tracks are displayed in the Music Video node, they appear without any artwork if the Album field is empty (even though the Art & Details view show that the track _do_ have thumbnails.

Similarly, just changing the Artist and Album fields caused the thumbnail to disappear !?!?

For Collections that have Type 'Video' and 'Music video', it makes sense that files should always have thumbnails, and that in AA view, thumbnail should be per Video (independent of the Thumbnail of other Videos with a common Series/Album).

The bug is complicated by the fact that there doesn't appear to be a way to trigger a refresh of the Album Art in the view (i.e. there's no workaround).
TagsNo tags attached.
Fixed in build1342

Activities

rusty

2010-12-19 20:00

administrator   ~0021930

A possibly related issue is that sometimes, Art for music just seems to disappear. See screencast at:
http://www.screencast.com/users/rustymonkey/folders/Jing/media/52ef0edf-33a8-4f05-891b-240ad3cc9253

petr

2010-12-19 20:30

developer   ~0021932

Last edited: 2010-12-19 21:33

View 2 revisions

Fixed in 1337

rusty

2010-12-20 23:43

administrator   ~0021992

Verified 1337.

rusty

2010-12-21 19:42

administrator   ~0022019

Last edited: 2010-12-21 23:02

View 2 revisions

The original issue is still outstanding. i.e.

a) All Collections where the most common file Type is Video (Video, Music Video, Video Podcast, and TV), currently display all files individually in the AA view (as expected), however, each of the files has a common Thumbnail if the Series/Album metadata is common. They shouldn't--i.e. every thumbnail should be different (and no videos should be stacked in the AA view).

b) If the user changes the thumbnail on one of the tracks that happens to be in the same directory as all of the other tracks ?and/or? which have common Series metadata ("" or x), then many of the other tracks lose their Art.
This can be seen at:
http://www.screencast.com/users/rustymonkey/folders/Jing/media/1a76adf6-8388-4f02-8883-8925004cb5b0

petr

2010-12-22 01:57

developer   ~0022031

Fixed in 1339

jiri

2010-12-22 10:13

administrator   ~0022036

tested a) and still have the same issue, i.e. AA view mode, two videos:
1. Title=A, Series=S, Album Art="a thumbnail"
2. Title=B, Series=S, Album Art={nothing}

Should be: Item 2. doesn't have any AA.
Observed: Item 2. has the same AA as item 1.

petr

2010-12-22 22:46

developer   ~0022056

Fixed in 1340

rusty

2010-12-24 15:20

administrator   ~0022128

Tested 1341, and there are still issues:

1. Selected ~10 Video files in Video/Location/.../ALL and changed Type to Music Video
2. Selected ~5 Video files in Video/Location/.../ALL and changed Type to Video Podcast

--> Thumbnails for > 60% (hundreds) of Video files disappeared (though the art still appears in AA+Details view, and in the Properties > Album Art tab (stored to the cache location)!!

petr

2010-12-24 18:46

developer   ~0022131

Fixed in 1342

peke

2011-01-11 02:50

developer   ~0022280

Verified 1343